Summary:	Tiny editor
Summary(pl):	Mikroedytorek
Name:		e3
Version:	1.61
Release:	6
License:	GPL
Group:		Applications/Editors
Source0:	http://www.sax.de/~adlibit/%{name}-%{version}.tar.gz
Source1:	%{name}-editor.sh
Patch0:		%{name}-short_jump.patch
Patch1:		%{name}-%{version}-Polish_letters.patch
URL:		http://www.sax.de/~adlibit/
BuildRequires:	perl
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define no_install_post_strip 1

%description
e3 is a text micro editor with a code size less than 10000 bytes.
Except for 'undo' and 'syntax highlighting', e3 supports all of the
basic functions one expects. If you have installed the stream editor
'sed' or 'ex' you can use these tools as sub-processes, getting the
full power of regular expressions. e3 can use Wordstar-, EMACS-, Pico,
Nedit or vi-like key bindings, whichever the user chooses. e3 is
designed to be INDEPENDENT OF LIBC OR ANY OTHER library.

%description -l pl
e3 jest mikroskopijnym wrcz edytorem tekstu, jego rozmiar nie
przekracza 10000 bajtw. Wspiera on wszystkie podstawowe funkcje,
jakich mona oczekiwa od edytora, z wyjtkiem podwietlania skadni i
cofania dokonanych zmian (undo). Jesli chcesz skorzysta z potgi
wyrae regularnych, to e3 moe wywoa zewntrzny edytor strumieni
('sed' lub 'ex'). e3 potrafi emulowa ustawienia klawiszy Wordstara,
EMACSA, Pico, Nedit oraz vi. e3 nie jest zaleny od adnej biblioteki
(wliczajc glibc).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
# gzexe makes problems
# we gain 3K only
perl -pi -e 's/^.*gzexe e3.*$//' Makefile

%build
%ifarch %{ix86}
%{__make}
%endif
%{__cc} %{rpmcflags} %{rpmldflags} -DLIBDIR=\"%{_libdir}\" e3c/e3.c -o e3c.bin

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_libdir}}  
%ifarch %{ix86}
install e3 $RPM_BUILD_ROOT%{_bindir}/e3
%else
ln -sf e3c $RPM_BUILD_ROOT%{_bindir}/e3
%endif

install e3c.bin $RPM_BUILD_ROOT%{_bindir}/e3c

install %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/e3-editor.sh
install e3.man $RPM_BUILD_ROOT%{_mandir}/man1/e3.1
install e3c/e3c.man $RPM_BUILD_ROOT%{_mandir}/man1/e3c.1

install e3c/*.{hlp,res} $RPM_BUILD_ROOT%{_libdir}

for i in ws em pi vi ne; do
	ln -sf e3 $RPM_BUILD_ROOT%{_bindir}/e3${i}
done

for i in emacs vi pico ne ws; do
	ln -sf e3-editor.sh $RPM_BUILD_ROOT%{_bindir}/e3-$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*
